Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## groovy.sql
[Java] Interface InParameter

    public interface InParameter

A typed parameter to pass to a query

Authors:
  rfuller

Method Summary
`int` | `getType()` The JDBC data type.
`java.lang.Object` | `getValue()` The object holding the data value.

Method Detail

### getType

    public int getType()

  The JDBC data type.
  Returns:
    the type

### getValue

    public java.lang.Object getValue()

  The object holding the data value.
  Returns:
    the value

Groovy Documentation